DMTextInternal::Zone Struct Reference

Internal: structure to store a the data of a DMText Zone. More...

## Public Member Functions

| Zone ()
| constructor More...

## Public Attributes

MWAWEntry | m_pos
| the text entry More...
MWAWParagraph::Justification | m_justify
| the paragraph justification More...
MWAWColor | m_backgroundColor
| the background color More...
bool | m_useFooter
| print or ignore the footer More...
int | m_margins [4]
| the margins L,T,R,B in points More...
std::string | m_name
| the name More...
std::map< long, MWAWFont > | m_posFontMap
| the map of id -> font More...
int | m_numPages
| the number of page More...
bool | m_parsed
| a flag to know if we have send the data to the listener More...

## Detailed Description

Internal: structure to store a the data of a DMText Zone.

## Constructor & Destructor Documentation

DMTextInternal::Zone::Zone | ( |  | ) |

inline

constructor

## Member Data Documentation

MWAWColor DMTextInternal::Zone::m_backgroundColor

the background color

Referenced by DMText::updatePageSpanList().

MWAWParagraph::Justification DMTextInternal::Zone::m_justify

the paragraph justification

Referenced by DMText::readWindows(), and DMText::sendText().

int DMTextInternal::Zone::m_margins[4]

the margins L,T,R,B in points

Referenced by DMText::readWindows(), DMText::sendFooter(), DMText::sendText(), DMText::updatePageSpanList(), and Zone().

std::string DMTextInternal::Zone::m_name

the name

Referenced by DMText::sendFooter().

int DMTextInternal::Zone::m_numPages

mutable

the number of page

Referenced by DMText::computeNumPages(), DMText::numPages(), and DMText::updatePageSpanList().

bool DMTextInternal::Zone::m_parsed

mutable

a flag to know if we have send the data to the listener

Referenced by DMText::sendMainText(), and DMText::sendText().

MWAWEntry DMTextInternal::Zone::m_pos

the text entry

Referenced by DMText::computeNumPages(), and DMText::sendText().

std::map<long, MWAWFont > DMTextInternal::Zone::m_posFontMap

the map of id -> font

Referenced by DMText::readStyles(), and DMText::sendText().

bool DMTextInternal::Zone::m_useFooter

print or ignore the footer

Referenced by DMText::readWindows(), and DMText::updatePageSpanList().

The documentation for this struct was generated from the following file:

- DMText.cxx